      SUBROUTINE xscabs(ear, ne, param, ifl, photar, photer)

      INTEGER ne, ifl
      REAL ear(0:ne), param(1), photar(ne), photer(ne)

C---
C XSPEC model subroutine to calculate absorption factor due
C to Compton scattering. Does not include Klein-Nishina X-sections
C for higher energies - then scattering involves frequency shift
C so can't handle with a simple multiplicative model.
C---
C number of model parameters: 1
C	1	ANH	Hydrogen column density (in units of 10**22
C			atoms per square centimeter
C---
C Arguments :
C    ear      r         i: energy ranges
c    ne       i         i: number of energy ranges
c    param    r         i: model parameter values
c    ifl      i         i: the dataset
c    photar   r         r: the transmission fraction
C---

      REAL cf

      INTEGER ie

      cf = EXP(-param(1)*1.21*0.665e-2)

      DO ie = 1, ne
         photar(ie) = cf
      ENDDO

      RETURN
      END
